Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class KodoTimeWatchManager

    java.lang.Object
      kodo.manage.KodoTimeWatchManager

    public class KodoTimeWatchManager

extends Object

A KodoTimeWatchManager manages TimeWatch objects. It also contains convenience methods to easily get TimeWatch objects. Typical usage is as follows:

To obtain the KodoTimeWatchManager for the configuration:

`BrokerFactory bf = ...;`

`OpenJPAConfiguration conf = bf.getConfiguration ();`

`KodoTimeWatchManager twm = conf.getTimeWatchManager ();`

To obtain the default TimeWatch:

`TimeWatch tw = twm.getTimeWatch ();`

To obtain a named TimeWatch:

`TimeWatch tw = twm.getTimeWatch ("My Named TimeWatch");`

Quick way to obtain the default TimeWatch:

`BrokerFactory bf = ...;`

`TimeWatch tw = KodoTimeWatchManager.getTimeWatch (bf);`

Quick way to obtain a named TimeWatch:

`BrokerFactory bf = ...;`

`TimeWatch tw = KodoTimeWatchManager.getTimeWatch (bf, "My Named TimeWatch");`

``

Constructor Summary
`KodoTimeWatchManager(kodo.manage.Management m)`

Method Summary
`TimeWatch` | `getTimeWatch()` Get the default TimeWatch.
`static TimeWatch` | `getTimeWatch(org.apache.openjpa.kernel.Broker b)` Convenience static method for obtaining the default TimeWatch associated with the OpenJPAConfiguration associated with the passed Broker.
`static TimeWatch` | `getTimeWatch(org.apache.openjpa.kernel.BrokerFactory bf)` Convenience static method for obtaining the default TimeWatch associated with the OpenJPAConfiguration associated with the passed BrokerFactory.
`static TimeWatch` | `getTimeWatch(org.apache.openjpa.kernel.BrokerFactory bf, String name)` Convenience static method for obtaining a named time watch associated with the OpenJPAConfiguration associated with the passed BrokerFactory.
`static TimeWatch` | `getTimeWatch(org.apache.openjpa.kernel.Broker b, String name)` Convenience static method for obtaining a named time watch associated with the OpenJPAConfiguration associated with the passed Broker.
`static TimeWatch` | `getTimeWatch(org.apache.openjpa.kernel.StoreContext ctx)` Convenience static method for obtaining the default TimeWatch associated with the OpenJPAConfiguration associated with the passed context.
`static TimeWatch` | `getTimeWatch(org.apache.openjpa.kernel.StoreContext ctx, String name)` Convenience static method for obtaining a named time watch associated with the OpenJPAConfiguration associated with the passed context.
`TimeWatch` | `getTimeWatch(String name)` Get a named TimeWatch.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KodoTimeWatchManager

    public KodoTimeWatchManager(kodo.manage.Management m)

Method Detail

### getTimeWatch

    public TimeWatch getTimeWatch(String name)

  Get a named TimeWatch.

### getTimeWatch

    public TimeWatch getTimeWatch()

  Get the default TimeWatch.

### getTimeWatch

    public static TimeWatch getTimeWatch(org.apache.openjpa.kernel.BrokerFactory bf,
                                         String name)

  Convenience static method for obtaining a named time watch associated with the OpenJPAConfiguration associated with the passed BrokerFactory.

### getTimeWatch

    public static TimeWatch getTimeWatch(org.apache.openjpa.kernel.Broker b,
                                         String name)

  Convenience static method for obtaining a named time watch associated with the OpenJPAConfiguration associated with the passed Broker.

### getTimeWatch

    public static TimeWatch getTimeWatch(org.apache.openjpa.kernel.StoreContext ctx,
                                         String name)

  Convenience static method for obtaining a named time watch associated with the OpenJPAConfiguration associated with the passed context.

### getTimeWatch

    public static TimeWatch getTimeWatch(org.apache.openjpa.kernel.BrokerFactory bf)

  Convenience static method for obtaining the default TimeWatch associated with the OpenJPAConfiguration associated with the passed BrokerFactory.

### getTimeWatch

    public static TimeWatch getTimeWatch(org.apache.openjpa.kernel.Broker b)

  Convenience static method for obtaining the default TimeWatch associated with the OpenJPAConfiguration associated with the passed Broker.

### getTimeWatch

    public static TimeWatch getTimeWatch(org.apache.openjpa.kernel.StoreContext ctx)

  Convenience static method for obtaining the default TimeWatch associated with the OpenJPAConfiguration associated with the passed context.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.